> ## Documentation Index
> Fetch the complete documentation index at: https://docs.azalt.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create cron job

> Create a new scheduled automation job:

**Required Fields**:
- `name`: Unique job name within organization
- `code`: JavaScript code to execute
- `schedule`: Execution schedule (5m, 10m, 15m, 30m, 1h, 2h, 4h, 6h, 12h, 1d, 1w)

**Optional Fields**:
- `description`: What this job does

**Code Environment**:
Your JavaScript code has access to these APIs:
- `fetch`: HTTP client for external APIs
- `email`: Send notifications
- `ldap`: Authenticate and search LDAP directories from the host runtime
- `env`: Environment variables
- `secrets`: Encrypted secret values

**Access Requirements**:
- Owner permissions required
- Job created in your organization

**Security**:
- Code runs in secure sandbox with 5-minute timeout
- No file system access, limited to provided APIs
- Return values stored but not exposed in this response



## OpenAPI

````yaml https://app.azalt.co/api/v1/openapi.tr.json post /cron-jobs
openapi: 3.0.3
info:
  title: Erguvan Genel API
  version: 1.0.0
  description: Erguvan platformuna entegrasyon için REST API referansının Türkçe sürümü.
servers:
  - url: https://app.azalt.co/api/v1
security: []
tags:
  - name: Activity
    x-displayName: Aktiviteler
  - name: ActivityDefinition
    x-displayName: Aktivite Tanımları
  - name: ApiKey
    x-displayName: API Anahtarları
  - name: Dashboard
    x-displayName: Panolar
  - name: DashboardWidget
    x-displayName: Pano Bileşenleri
  - name: Dataset
    x-displayName: Veri Setleri
  - name: DatasetItem
    x-displayName: Veri Seti Öğeleri
  - name: File
    x-displayName: Dosyalar
  - name: Form
    x-displayName: Formlar
  - name: FormElement
    x-displayName: Form Öğeleri
  - name: FormElementSubmission
    x-displayName: Form Öğesi Gönderimleri
  - name: FormSite
    x-displayName: Form-Tesis İlişkilendirmeleri
  - name: FormSubmission
    x-displayName: Form Gönderimleri
  - name: Indicator
    x-displayName: Göstergeler
  - name: Organization
    x-displayName: Organizasyonlar
  - name: Site
    x-displayName: Tesisler
  - name: Target
    x-displayName: Hedefler
  - name: Unit
    x-displayName: Birimler
  - name: User
    x-displayName: Kullanıcılar
paths:
  /cron-jobs:
    post:
      tags:
        - Cron Jobs
      summary: Create cron job
      description: >-
        Create a new scheduled automation job:


        **Required Fields**:

        - `name`: Unique job name within organization

        - `code`: JavaScript code to execute

        - `schedule`: Execution schedule (5m, 10m, 15m, 30m, 1h, 2h, 4h, 6h,
        12h, 1d, 1w)


        **Optional Fields**:

        - `description`: What this job does


        **Code Environment**:

        Your JavaScript code has access to these APIs:

        - `fetch`: HTTP client for external APIs

        - `email`: Send notifications

        - `ldap`: Authenticate and search LDAP directories from the host runtime

        - `env`: Environment variables

        - `secrets`: Encrypted secret values


        **Access Requirements**:

        - Owner permissions required

        - Job created in your organization


        **Security**:

        - Code runs in secure sandbox with 5-minute timeout

        - No file system access, limited to provided APIs

        - Return values stored but not exposed in this response
      operationId: createCronJob
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                  maxLength: 255
                description:
                  type: string
                  nullable: true
                  maxLength: 1000
                code:
                  type: string
                  minLength: 1
                  maxLength: 1048576
                schedule:
                  type: string
                  enum:
                    - 5m
                    - 10m
                    - 15m
                    - 30m
                    - 1h
                    - 2h
                    - 4h
                    - 6h
                    - 12h
                    - 1d
                    - 1w
                metadata:
                  nullable: true
              required:
                - name
                - code
                - schedule
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  description:
                    type: string
                    nullable: true
                  schedule:
                    type: string
                    enum:
                      - 5m
                      - 10m
                      - 15m
                      - 30m
                      - 1h
                      - 2h
                      - 4h
                      - 6h
                      - 12h
                      - 1d
                      - 1w
                  isActive:
                    type: boolean
                  organizationId:
                    type: string
                  createdById:
                    type: string
                    nullable: true
                  lastExecutionAt:
                    type: string
                    nullable: true
                  nextExecutionAt:
                    type: string
                    nullable: true
                  metadata:
                    nullable: true
                  createdAt:
                    type: string
                  updatedAt:
                    type: string
                required:
                  - id
                  - name
                  - description
                  - schedule
                  - isActive
                  - organizationId
                  - createdById
                  - lastExecutionAt
                  - nextExecutionAt
                  - createdAt
                  - updatedAt
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Authorization not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '403':
          description: Insufficient access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.FORBIDDEN'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
      security:
        - Authorization: []
components:
  schemas:
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Invalid input data error (400)
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.UNAUTHORIZED:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Authorization not provided
        code:
          type: string
          description: The error code
          example: UNAUTHORIZED
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Authorization not provided error (401)
      description: The error information
      example:
        code: UNAUTHORIZED
        message: Authorization not provided
        issues: []
    error.FORBIDDEN:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Insufficient access
        code:
          type: string
          description: The error code
          example: FORBIDDEN
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Insufficient access error (403)
      description: The error information
      example:
        code: FORBIDDEN
        message: Insufficient access
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Internal server error error (500)
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````